@use 'partials/components/sub-panel';

.primitives-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: calc(100% - sub-panel.$sub-panel-label-height);
  overflow-x: hidden;
  overflow-y: auto;
}

.primitives-loading-indicator {
  display: flex;
  width: 100%;
  height: 100%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.first-element-padding {
  padding-top: 10px;
}
